---@meta

---@class ABP_Interactable_WinchHook_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PickupBox UBoxComponent
---@field Piton UStaticMeshComponent
---@field TargetPlacementActor AActor
---@field TargetHookLocation FVector
---@field TargetHookRotation FRotator
---@field TargetPitonLocation FVector
---@field TargetPitonRotation FRotator
---@field WinchRope ADynamicRopeActor
---@field LastHitActor AActor
local ABP_Interactable_WinchHook_C = {}

---@return boolean
function ABP_Interactable_WinchHook_C:AllowWinchAttach() end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_Interactable_WinchHook_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param Hit FHitResult
---@param OutputPin boolean
function ABP_Interactable_WinchHook_C:IsValidTarget(Hit, OutputPin) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_Interactable_WinchHook_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param Success boolean
function ABP_Interactable_WinchHook_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_WinchHook_C:SetPickedUpPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_Interactable_WinchHook_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Target AActor
---@param IsVehicle boolean
---@param Vehicle ABP_VehicleBase_C
function ABP_Interactable_WinchHook_C:ShouldTargetRouteAttachToTruck(Target, IsVehicle, Vehicle) end
---@param WinchRope ADynamicRopeActor
function ABP_Interactable_WinchHook_C:GetWinchRope(WinchRope) end
function ABP_Interactable_WinchHook_C:DebugRemoveEndPointRope() end
---@param IsHeldByPlayer boolean
function ABP_Interactable_WinchHook_C:IsHeldByPlayer(IsHeldByPlayer) end
---@param IsAttachedToVehicle boolean
function ABP_Interactable_WinchHook_C:IsAttachedToVehicle(IsAttachedToVehicle) end
function ABP_Interactable_WinchHook_C:UpdatePitonVisibility() end
---@param PlayerLocation FVector
---@param WinchLocation FVector
function ABP_Interactable_WinchHook_C:GetLocationToAdjustRotationTowards(PlayerLocation, WinchLocation) end
---@param AttachParent AActor
---@param AttachComponent USceneComponent
---@param SocketName FName
---@return boolean
function ABP_Interactable_WinchHook_C:ReceiveCustomClientAttach(AttachParent, AttachComponent, SocketName) end
---@param Success boolean
function ABP_Interactable_WinchHook_C:SetAttachedPhysicsState(Success) end
function ABP_Interactable_WinchHook_C:AttachHookToTargetPlacementActor() end
function ABP_Interactable_WinchHook_C:UpdatePlacementTarget() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_WinchHook_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchHook_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchHook_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param DeltaSeconds float
function ABP_Interactable_WinchHook_C:ReceiveTick(DeltaSeconds) end
---@param EntryPoint int32
function ABP_Interactable_WinchHook_C:ExecuteUbergraph_BP_Interactable_WinchHook(EntryPoint) end


